How to catch alls

Discussion in 'AutoCAD' started by Adesu, Aug 6, 2004.

  1. Adesu

    Adesu Guest

    Dear alls,
    How to put (0 . "circle"),(0 . "line"),(0 . "arc"),(0 . "text"),(0 .
    "point"),(0 . "pline")...etc in
    "(setq ss (ssget '((0 . "POINT"))))",I want combine in one statement
    (ss),thanks for your help
    Best regards
    Ade Suharna
     
    Adesu, Aug 6, 2004
    #1
  2. Adesu

    Paul Turvill Guest

    (setq ss (ssget '((0 . "CIRCLE,LINE,ARC,TEXT,POINT,POLYLINE"))))

    "PLINE" isn't an object, it's a command to create either POLYLINEs or
    LWPOLYLINEs.
    ___
     
    Paul Turvill, Aug 6, 2004
    #2
  3. Adesu

    Adesu Guest

    Hi Paul,it is enough and clear,thanks a lot.,yes lwpolyline
     
    Adesu, Aug 6, 2004
    #3
  4. Adesu

    J. Logan Guest

    Paul,

    Would this hold true for

    (setq ss (ssget '((62 . "1,2,3,...and so on

    ?

    J. Logan
     
    J. Logan, Aug 10, 2004
    #4
  5. Adesu

    Paul Turvill Guest

    No, only groups that use strings. Group 62 uses integers.
    ___
     
    Paul Turvill, Aug 11, 2004
    #5
  6. Adesu

    J. Logan Guest

    So if I'm trying to select more than one Color?

    (-4 . "<XOR") (62 . 1) (62 . 5) (62.15) (-4 . "XOR>")))

    J.
     
    J. Logan, Aug 11, 2004
    #6
  7. Adesu

    Paul Turvill Guest

    "<OR" and "OR> ... not XOR. And don't forget to leave spaces on both sides
    of the dot.
    ___
     
    Paul Turvill, Aug 11, 2004
    #7
  8. Adesu

    Paul Turvill Guest

    And, BTW, this works only for objects with explicitly assigned colors; it
    won't find anything with color BYLAYER.
    ___
     
    Paul Turvill, Aug 11, 2004
    #8
  9. Adesu

    J. Logan Guest

    Right. What I'm trying to do is select those objects (specifically all
    entities with colors Red, Blue and 15) to return them to their Bylayer
    color.

    J. Logan
     
    J. Logan, Aug 11, 2004
    #9
  10. Adesu

    J. Logan Guest

    I'm also trying to create routines to do the opposite as well. Turn Selected
    objects to colors Red, Blue and 15. I've got one of them working
    with....

    (defun c:RED ()
    (setq ss
    (ssget '((0 . "Circle,Line,Arc,Text,Mtext,Polyline"))))
    (command "_.change" ss "" "p" "c" "red" "")
    (princ)
    )

    Using your suggestion from your earlier post to Adesu above. Thanks for
    that.

    J. Logan
     
    J. Logan, Aug 11, 2004
    #10
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.